Webtop admin issues with upgrade from 6.015 to 7.2.6


#1

Hello, I am test-running an upgrade from CF 9 and FarCry 6.0.15 with a slightly modified core to CF 11 to FarCry 7.2.6, “stock” core. MySQL database. After some initial adjustments, just about everything seems to be working fine – the site itself, as well as most webtop functions such as editing, creating, etc.

The only problem is with the admin tab. When I click it, I get “Element FIELDS.LOGDBCHANGES is undefined in ARGUMENTS” error, emanating from farcry/core/packages/forms/configGeneral.cfc line 114. When I comment out the cfset on line 114, the admin tab loads fine, but whenever I click anything, I get more and different errors.

SOME NOTES: a clean “out of the box” install runs fine for me. I can also restart the test app from under the “FarCry User” entry with no problems. Also, one of the initial adjustments I needed to make was with the history tab / audit trail for site and content items. I got an error each time I clicked it, but I decided to empty the fqAudit table, which seems to have resolved that problem.

I did not copy over all of our users when I set up my test run. So, tables like dmHTML etc refer to users whose Object IDs are no longer present. I updated dmHTML to have all of the owned by, last updated by, and so on, match my user ID, but that did not fix the admin tab problem. I don’t know if that is related in any way…

I am not very familiar with how FarCry works at this level, but I am learning as much as I can and I would really appreciate any suggestions or nudges in the right direction. Our users are excited about switching to 7 and are looking forward to me getting it online! Thank you in advance!


#2

Have you verified that there isn’t anything that needed to be updated in the COAPI manager? Perhaps a field had changed or something related to the log tables and you need to assist FarCry on what that change requires. If anytning is amiss, maybe click on that type (in the COAPI manager) and show us a screenshot so that we might be able to assist.


#3

Thanks Jeff! Is there another way for me to access the COAPI manager, besides under the admin tab in the webtop? If so, I will check that out. However, you have reminded me – we did have some custom content types in our old database, which I purposely did not bring over with the project (trying to find a better way to do that). I will take a look, but there are almost certainly tables that refer to these custom types and rules in the database, for which there is no underlying “FarCry” stuff.

I will remove all of those tables and try again. Thanks for the tip!


#4

I pulled out all of the custom content, both in FarCry and the database. Restarted everything, and our “custom content” tab disappeared in web top, but I am still getting the same error when I try to click the admin tab. I would appreciate any more info or suggestions, and thank you again for responding to me. I appreciate your help!


#5

Okay I think I got it – it appears that farcry/projects/myProject/log/fourq.sql had not been created initially. I made a blank file and all seems well. I will try replacing our custom content to see, but for now, everything seems to be working okay.

Thanks Jeff for getting me started in the right direction! I appreciate it. Have a great weekend!


#6

Have you tried the updateall url param, and checked your plugins to make sure they are updated to latest versions.

See How do you upgrade from FarCry 6.x to FarCry 7 (codename: SHINY)?

Chris


#7

HI Chris, thanks! I did indeed use updateall, and also updateapp just to be complete. FarCry CMS is the only plugin I am using with this test. And I apologize if this is a dumb question, but I downloaded 7.2.6 core – would that use the latest CMS plugin? How would I know otherwise?

At any rate, testing seems to still be working fine. I think it was the lack of four.sql that may have been causing the problem. I am going to blow away this VM and start over from scratch to see if that is what the problem was.

Thanks Chris and Jeff for the help and advice!


#8

I personally don’t use the CMS plugin (it’s easier just to write the tools myself if I need them), but assuming you downloaded the latest CMS plugin it should work okay with that build of core.

You might want to also consider just grabbing the latest copy of core direct from the p720 branch in Git (it’s best to just have the latest bug fixes in this case without the worry for any structural or data changes).